#define BIT_TIME 100 // us, 9600 BAUD incl. loop overhead

uint8_t read_ADC(uint8_t channel);
void calibrate_matrix(uint8_t data[SIZE]);
void scan_inputs(matrix_t data, int debug);
void update_LEDs(led_t data);
int count_touch(matrix_t data);
int compare_matrix(matrix_t matrix, matrix_t pattern);
void set_all_LEDs(led_t led_data, PGM_P menu);
int check_menu_select(matrix_t matrix);
void set_single_LED(led_t led, uint8_t number, uint8_t color);
int rand_range(int min, int max);
void soft_uart_putc(char data);
void soft_uart_puts(char *data);
void soft_uart_puts_P(PGM_P data);
void power_bank_keep_alive(void);


